package com.ywt.alipaympapi.models.enums;

/**
 * 支付渠道
 */
public enum PaymentChannelEnum {
    WX_PAY("微信", 1),
    ALI_PAY("支付宝", 2),
    CASH("现金", 3),          //现场支付
    MEDICAL_CARD("诊疗卡", 4),
    POS("POS机", 5),
    FREE("无须支付", 6);

    private final String displayName;

    private final int value;

    PaymentChannelEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}